curl --request POST \
--url https://api.tagada.io/api/public/v1/plugins/v2/split \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"routeId": "route_abc123",
"storeId": "store_abc123",
"splitConfig": {
"type": "weighted",
"instances": [
{
"instanceId": "inst_a",
"weight": 50
},
{
"instanceId": "inst_b",
"weight": 50
}
],
"stickyDuration": 604800
}
}
'
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}plugins-v2
Configure split testing (V2)
Configure A/B or geo-based split testing on an existing route.
Split types:
- weighted: Traffic split by percentage (weights must sum to 100)
- geo: Traffic split by visitor country (ISO 3166-1 alpha-2 codes)
Sticky sessions: Visitors are pinned to the same variant for stickyDuration seconds (default 7 days).
Authentication required: API key must be authorized for the account.
POST
/
api
/
public
/
v1
/
plugins
/
v2
/
split
curl --request POST \
--url https://api.tagada.io/api/public/v1/plugins/v2/split \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"routeId": "route_abc123",
"storeId": "store_abc123",
"splitConfig": {
"type": "weighted",
"instances": [
{
"instanceId": "inst_a",
"weight": 50
},
{
"instanceId": "inst_b",
"weight": 50
}
],
"stickyDuration": 604800
}
}
'
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
